[Sumover-dev] [svn commit] r3949 - in vic/branches/mpeg4: tcl

sumover-dev at cs.ucl.ac.uk sumover-dev at cs.ucl.ac.uk
Tue Dec 5 11:12:00 GMT 2006


Author: barz
Date: Tue Dec  5 11:10:36 2006
New Revision: 3949

Modified:
   vic/branches/mpeg4/configure
   vic/branches/mpeg4/configure.in.tk
   vic/branches/mpeg4/main.cpp
   vic/branches/mpeg4/rate-variable.cpp
   vic/branches/mpeg4/tcl/cf-util.tcl
   vic/branches/mpeg4/tcl/ui-help.tcl
   vic/branches/mpeg4/tcl/ui-main.tcl
   vic/branches/mpeg4/tcl/ui-resource.tcl
   vic/branches/mpeg4/tcl/ui-util.tcl
   vic/branches/mpeg4/tcl/ui-windows.tcl
   vic/branches/mpeg4/tkStripchart.c
   vic/branches/mpeg4/vic_tcl.h

Log:
Use Tcl/Tk 8.4 library



Modified: vic/branches/mpeg4/configure
==============================================================================
--- vic/branches/mpeg4/configure	(original)
+++ vic/branches/mpeg4/configure	Tue Dec  5 11:10:36 2006
@@ -981,7 +981,7 @@
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd $ac_popdir
+    cd "$ac_popdir"
   done
 fi
 
@@ -2038,8 +2038,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2097,8 +2096,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2214,8 +2212,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2269,8 +2266,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2315,8 +2311,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2360,8 +2355,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2545,8 +2539,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2604,8 +2597,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2676,8 +2668,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2721,8 +2712,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3039,8 +3029,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3210,8 +3199,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3279,8 +3267,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3438,8 +3425,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3506,8 +3492,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3577,8 +3562,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3817,8 +3801,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3905,8 +3888,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3985,7 +3967,7 @@
         V_LIBRARY_TCL=/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts
         V_INCLUDE_TCL="-I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tcl.framework/PrivateHeaders"
 
-elif test "$ucltcl" != no; then
+elif test "$ucltcl" == yes; then
 	if test -z "$ucltcl"; then
 		# UCL defaults
 		ucltcl=../tcl-8.0
@@ -4018,9 +4000,9 @@
 		echo "can't find tcl.h in $d/include"
 		exit 1
 	fi
-	places="$d/lib/libtcl8.0.so \
-		$d/lib/libtcl8.0.dylib \
-		$d/lib/libtcl8.0.a \
+	places="$d/lib/libtcl8.4.so \
+		$d/lib/libtcl8.4.dylib \
+		$d/lib/libtcl8.4.a \
 		$d/lib/libtcl.so \
 		$d/lib/libtcl.dylib \
 		$d/lib/libtcl.a"
@@ -4035,8 +4017,8 @@
 		echo "can't find libtcl.a in $d/lib"
 		exit 1
 	fi
-	places="$d/lib/tcl-8.0 \
-		$d/lib/tcl8.0 \
+	places="$d/lib/tcl-8.4 \
+		$d/lib/tcl8.4 \
 		$d/lib/tcl"
 	V_LIBRARY_TCL=FAIL
 	for dir in $places; do
@@ -4087,12 +4069,12 @@
 rm -f conftest.err conftest.$ac_ext
 	if test "$V_INCLUDE_TCL" = FAIL; then
 		echo "checking for tcl.h"
-		places="$PWD/../tcl-8.0 \
-			$PWD/../tcl8.0 \
+		places="$PWD/../tcl-8.4 \
+			$PWD/../tcl8.4 \
 			$PWD/../tcl \
-			/usr/local/include/tcl8.0 \
-			/usr/src/local/tcl8.0 \
-			/import/tcl/include/tcl8.0 \
+			/usr/local/include/tcl8.4 \
+			/usr/src/local/tcl8.4 \
+			/import/tcl/include/tcl8.4 \
 			$prefix/include \
 			$x_includes/tk \
 			$x_includes \
@@ -4110,13 +4092,13 @@
 			exit 1
 		fi
 	fi
-	echo "$as_me:$LINENO: checking for main in -ltcl8.0" >&5
-echo $ECHO_N "checking for main in -ltcl8.0... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl8_0_main+set}" = set; then
+	echo "$as_me:$LINENO: checking for main in -ltcl8.4" >&5
+echo $ECHO_N "checking for main in -ltcl8.4... $ECHO_C" >&6
+if test "${ac_cv_lib_tcl8_4_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl8.0  $LIBS"
+LIBS="-ltcl8.4  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -4142,8 +4124,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4155,29 +4136,29 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_tcl8_0_main=yes
+  ac_cv_lib_tcl8_4_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_tcl8_0_main=no
+ac_cv_lib_tcl8_4_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl8_0_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl8_0_main" >&6
-if test $ac_cv_lib_tcl8_0_main = yes; then
-  V_LIB_TCL="-ltcl8.0"
+echo "$as_me:$LINENO: result: $ac_cv_lib_tcl8_4_main" >&5
+echo "${ECHO_T}$ac_cv_lib_tcl8_4_main" >&6
+if test $ac_cv_lib_tcl8_4_main = yes; then
+  V_LIB_TCL="-ltcl8.4"
 else
   V_LIB_TCL="FAIL"
 fi
 
 	if test "$V_LIB_TCL" = FAIL; then
 		echo "checking for libtcl.a"
-		places="$PWD/../tcl-8.0/unix \
-                        $PWD/../tcl8.0/unix \
+		places="$PWD/../tcl-8.4/unix \
+                        $PWD/../tcl8.4/unix \
                         $PWD/../tcl/unix \
 			/usr/local/lib \
 			$prefix/lib \
@@ -4185,12 +4166,12 @@
 			/usr/contrib/lib \
 			/usr/local/lib \
 			/usr/lib \
-			$PWD/../tcl8.0 \
-			/usr/src/local/tcl8.0 \
-			/import/tcl/lib/tcl8.0"
+			$PWD/../tcl8.4 \
+			/usr/src/local/tcl8.4 \
+			/import/tcl/lib/tcl8.4"
 		for dir in $places; do
-			if test -r $dir/libtcl8.0.so -o -r $dir/libtcl8.0.dylib -o -r $dir/libtcl8.0.a; then
-				V_LIB_TCL="-L$dir -ltcl8.0"
+			if test -r $dir/libtcl8.4.so -o -r $dir/libtcl8.4.dylib -o -r $dir/libtcl8.4.a; then
+				V_LIB_TCL="-L$dir -ltcl8.4"
 				break
 			fi
 			if test -r $dir/libtcl.so -o -r $dir/libtcl.dylib -o -r $dir/libtcl.a; then
@@ -4209,17 +4190,17 @@
 	fi
 	echo "checking for tcl/init.tcl"
 	V_LIBRARY_TCL=FAIL
-	places="$PWD/../tcl-8.0/library \
-		$PWD/../tcl8.0/library \
+	places="$PWD/../tcl-8.4/library \
+		$PWD/../tcl8.4/library \
                 $PWD/../tcl/library \
 		/System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts \
-		/usr/local/lib/tcl8.0 \
-		/usr/contrib/lib/tcl8.0 \
-		/usr/lib/tcl8.0 \
-		/usr/lib/tk/tcl8.0 \
-		/import/tcl/lib/tcl8.0 \
-		$prefix/lib/tcl8.0 \
-		$x_libraries/tcl8.0 \
+		/usr/local/lib/tcl8.4 \
+		/usr/contrib/lib/tcl8.4 \
+		/usr/lib/tcl8.4 \
+		/usr/lib/tk/tcl8.4 \
+		/import/tcl/lib/tcl8.4 \
+		$prefix/lib/tcl8.4 \
+		$x_libraries/tcl8.4 \
 		/usr/local/lib/tcl \
 		/usr/lib/tcl \
 		$x_libraries/tcl"
@@ -4261,7 +4242,7 @@
         V_LIBRARY_TK=/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts
         V_INCLUDE_TK="-I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders"
 
-elif test "$ucltk" != no; then
+elif test "$ucltk" == yes; then
 	if test -z "$ucltk"; then
 		# UCL defaults
 		ucltk=../tk-8.0
@@ -4294,8 +4275,8 @@
 		echo "can't find tk.h in $d/include"
 		exit 1
 	fi
-	places="$d/lib/libtk8.0.so \
-		$d/lib/libtk8.0.a \
+	places="$d/lib/libtk8.4.so \
+		$d/lib/libtk8.4.a \
 		$d/lib/libtk.so \
 		$d/lib/libtk.a"
 	V_LIB_TK=FAIL
@@ -4309,7 +4290,7 @@
 		echo "can't find libtk.a in $d/lib"
 		exit 1
 	fi
-	places="$d/lib/tk8.0 \
+	places="$d/lib/tk8.4 \
 		$d/lib/tk"
 	V_LIBRARY_TK=FAIL
 	for dir in $places; do
@@ -4361,8 +4342,8 @@
 	if test "$V_INCLUDE_TK" = FAIL; then
 		echo "checking for tk.h"
 		V_INCLUDE_TK=""
-		places="$PWD/../tk8.0/generic \
-	                $PWD/../tk-8.0/generic \
+		places="$PWD/../tk8.4/generic \
+	                $PWD/../tk-8.4/generic \
        		        $PWD/../tk/generic \
 			/usr/local/include \
 			$prefix/include \
@@ -4371,9 +4352,9 @@
 			/usr/include\
 			$x_includes/tk \
 			$x_includes \
-			$PWD/../tk8.0 \
-			/usr/src/local/tk8.0 \
-			/import/tcl/include/tk8.0"
+			$PWD/../tk8.4 \
+			/usr/src/local/tk8.4 \
+			/import/tcl/include/tk8.4"
 		for dir in $places; do
 			if test -r $dir/tk.h ; then
 				V_INCLUDE_TK=-I$dir
@@ -4385,13 +4366,13 @@
 			exit 1
 		fi
 	fi
-	echo "$as_me:$LINENO: checking for main in -ltk8.0" >&5
-echo $ECHO_N "checking for main in -ltk8.0... $ECHO_C" >&6
-if test "${ac_cv_lib_tk8_0_main+set}" = set; then
+	echo "$as_me:$LINENO: checking for main in -ltk8.4" >&5
+echo $ECHO_N "checking for main in -ltk8.4... $ECHO_C" >&6
+if test "${ac_cv_lib_tk8_4_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk8.0  $LIBS"
+LIBS="-ltk8.4  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -4417,8 +4398,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4430,42 +4410,42 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_tk8_0_main=yes
+  ac_cv_lib_tk8_4_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_tk8_0_main=no
+ac_cv_lib_tk8_4_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk8_0_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk8_0_main" >&6
-if test $ac_cv_lib_tk8_0_main = yes; then
-  V_LIB_TK="-ltk8.0"
+echo "$as_me:$LINENO: result: $ac_cv_lib_tk8_4_main" >&5
+echo "${ECHO_T}$ac_cv_lib_tk8_4_main" >&6
+if test $ac_cv_lib_tk8_4_main = yes; then
+  V_LIB_TK="-ltk8.4"
 else
   V_LIB_TK="FAIL"
 fi
 
 	if test "$V_LIB_TK" = FAIL; then
-		echo "checking for libtk.a"
-		places="$PWD/../tk-8.0/unix \
-			$PWD/../tk8.0/unix \
+		echo "checking for libtk8.4.a"
+		places="$PWD/../tk-8.4/unix \
+			$PWD/../tk8.4/unix \
                 	$PWD/../tk/unix \
 			/usr/local/lib \
 			/usr/contrib/lib \
 			/usr/lib \
 			/usr/lib/tk \
 			/import/tcl/lib \
-			$PWD/../tk8.0 \
-			/usr/src/local/tk8.0 \
+			$PWD/../tk8.4 \
+			/usr/src/local/tk8.4 \
 			$prefix/lib \
 			$x_libraries"
 		for dir in $places; do
-			if test -r $dir/libtk8.0.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.0.a; then
-				V_LIB_TK="-L$dir -ltk8.0"
+			if test -r $dir/libtk8.4.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.4.a; then
+				V_LIB_TK="-L$dir -ltk8.4"
 				break
 			fi
 			if test -r $dir/libtk.so -o -r $dir/libtk.a; then
@@ -4484,19 +4464,19 @@
 	fi
 	echo "checking for tk/tk.tcl"
 	V_LIBRARY_TK=FAIL
-	places="$PWD/../tk-8.0/library \
-		$PWD/../tk8.0/library \
+	places="$PWD/../tk-8.4/library \
+		$PWD/../tk8.4/library \
                	$PWD/../tk/library \
-		/usr/local/lib/tk8.0 \
+		/usr/local/lib/tk8.4 \
 		/System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts \
-		/usr/contrib/lib/tk8.0 \
-		/usr/lib/tk8.0 \
-		/usr/lib/tk/tk8.0 \
-		/import/tcl/lib/tk8.0 \
-		$prefix/lib/tk8.0 \
-		$x_libraries/tk8.0 \
-		$PWD/../tk8.0/library \
-		/usr/src/local/tk8.0/library \
+		/usr/contrib/lib/tk8.4 \
+		/usr/lib/tk8.4 \
+		/usr/lib/tk/tk8.4 \
+		/import/tcl/lib/tk8.4 \
+		$prefix/lib/tk8.4 \
+		$x_libraries/tk8.4 \
+		$PWD/../tk8.4/library \
+		/usr/src/local/tk8.4/library \
 		/usr/local/lib/tk \
 		/usr/lib/tk \
 		$x_libraries/tk"
@@ -4668,8 +4648,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4815,8 +4794,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4962,8 +4940,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5124,8 +5101,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5197,8 +5173,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5270,8 +5245,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5384,8 +5358,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5496,8 +5469,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5570,8 +5542,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5744,8 +5715,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5820,8 +5790,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5895,8 +5864,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6322,7 +6290,7 @@
         V_SHM=""
         V_STATIC=""
         V_BROKEN_OBJ=
-        V_DEFINE="$V_DEFINE -DHAVE_IPV6 -DMAC_OSX_TCL -DMAC_OSX_TK"
+        V_DEFINE="$V_DEFINE -DHAVE_IPV6 -DMAC_OSX_TCL -DMAC_OSX_TK -DHAVE_FAST_INT"
 	V_LIB="$V_LIB -framework Carbon -framework QuickTime -lssl -lcrypto"
         if test "$target_cpu" = powerpc; then
             V_CCOPT="-O2 -mcpu=G3 -mtune=G4"
@@ -6423,8 +6391,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6495,8 +6462,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7436,11 +7402,6 @@
 
 
 
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
   # Let's still pretend it is `configure' which instantiates (i.e., don't
   # use $as_me), people would be surprised to read:
   #    /* config.h.  Generated by config.status.  */
@@ -7479,6 +7440,12 @@
 	 fi;;
       esac
     done` || { (exit 1); exit 1; }
+
+  if test x"$ac_file" != x-; then
+    { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    rm -f "$ac_file"
+  fi
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub

Modified: vic/branches/mpeg4/configure.in.tk
==============================================================================
--- vic/branches/mpeg4/configure.in.tk	(original)
+++ vic/branches/mpeg4/configure.in.tk	Tue Dec  5 11:10:36 2006
@@ -10,7 +10,7 @@
         V_LIBRARY_TCL=/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts
         V_INCLUDE_TCL="-I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tcl.framework/PrivateHeaders"
 
-elif test "$ucltcl" != no; then
+elif test "$ucltcl" == yes; then
 	if test -z "$ucltcl"; then 
 		# UCL defaults
 		ucltcl=../tcl-8.0
@@ -43,9 +43,9 @@
 		echo "can't find tcl.h in $d/include"
 		exit 1
 	fi
-	places="$d/lib/libtcl8.0.so \
-		$d/lib/libtcl8.0.dylib \
-		$d/lib/libtcl8.0.a \
+	places="$d/lib/libtcl8.4.so \
+		$d/lib/libtcl8.4.dylib \
+		$d/lib/libtcl8.4.a \
 		$d/lib/libtcl.so \
 		$d/lib/libtcl.dylib \
 		$d/lib/libtcl.a"
@@ -60,8 +60,8 @@
 		echo "can't find libtcl.a in $d/lib"
 		exit 1
 	fi
-	places="$d/lib/tcl-8.0 \
-		$d/lib/tcl8.0 \
+	places="$d/lib/tcl-8.4 \
+		$d/lib/tcl8.4 \
 		$d/lib/tcl"
 	V_LIBRARY_TCL=FAIL
 	for dir in $places; do
@@ -79,12 +79,12 @@
 	AC_TEST_CPP([#include <tcl.h>], V_INCLUDE_TCL="", V_INCLUDE_TCL=FAIL)
 	if test "$V_INCLUDE_TCL" = FAIL; then
 		echo "checking for tcl.h"
-		places="$PWD/../tcl-8.0 \
-			$PWD/../tcl8.0 \
+		places="$PWD/../tcl-8.4 \
+			$PWD/../tcl8.4 \
 			$PWD/../tcl \
-			/usr/local/include/tcl8.0 \
-			/usr/src/local/tcl8.0 \
-			/import/tcl/include/tcl8.0 \
+			/usr/local/include/tcl8.4 \
+			/usr/src/local/tcl8.4 \
+			/import/tcl/include/tcl8.4 \
 			$prefix/include \
 			$x_includes/tk \
 			$x_includes \
@@ -102,11 +102,11 @@
 			exit 1
 		fi
 	fi
-	AC_CHECK_LIB(tcl8.0, main, V_LIB_TCL="-ltcl8.0", V_LIB_TCL="FAIL")
+	AC_CHECK_LIB(tcl8.4, main, V_LIB_TCL="-ltcl8.4", V_LIB_TCL="FAIL")
 	if test "$V_LIB_TCL" = FAIL; then
 		echo "checking for libtcl.a"
-		places="$PWD/../tcl-8.0/unix \
-                        $PWD/../tcl8.0/unix \
+		places="$PWD/../tcl-8.4/unix \
+                        $PWD/../tcl8.4/unix \
                         $PWD/../tcl/unix \
 			/usr/local/lib \
 			$prefix/lib \
@@ -114,12 +114,12 @@
 			/usr/contrib/lib \
 			/usr/local/lib \
 			/usr/lib \
-			$PWD/../tcl8.0 \
-			/usr/src/local/tcl8.0 \
-			/import/tcl/lib/tcl8.0"
+			$PWD/../tcl8.4 \
+			/usr/src/local/tcl8.4 \
+			/import/tcl/lib/tcl8.4"
 		for dir in $places; do
-			if test -r $dir/libtcl8.0.so -o -r $dir/libtcl8.0.dylib -o -r $dir/libtcl8.0.a; then
-				V_LIB_TCL="-L$dir -ltcl8.0"
+			if test -r $dir/libtcl8.4.so -o -r $dir/libtcl8.4.dylib -o -r $dir/libtcl8.4.a; then
+				V_LIB_TCL="-L$dir -ltcl8.4"
 				break
 			fi
 			if test -r $dir/libtcl.so -o -r $dir/libtcl.dylib -o -r $dir/libtcl.a; then
@@ -138,17 +138,17 @@
 	fi
 	echo "checking for tcl/init.tcl"
 	V_LIBRARY_TCL=FAIL
-	places="$PWD/../tcl-8.0/library \
-		$PWD/../tcl8.0/library \
+	places="$PWD/../tcl-8.4/library \
+		$PWD/../tcl8.4/library \
                 $PWD/../tcl/library \
 		/System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts \
-		/usr/local/lib/tcl8.0 \
-		/usr/contrib/lib/tcl8.0 \
-		/usr/lib/tcl8.0 \
-		/usr/lib/tk/tcl8.0 \
-		/import/tcl/lib/tcl8.0 \
-		$prefix/lib/tcl8.0 \
-		$x_libraries/tcl8.0 \
+		/usr/local/lib/tcl8.4 \
+		/usr/contrib/lib/tcl8.4 \
+		/usr/lib/tcl8.4 \
+		/usr/lib/tk/tcl8.4 \
+		/import/tcl/lib/tcl8.4 \
+		$prefix/lib/tcl8.4 \
+		$x_libraries/tcl8.4 \
 		/usr/local/lib/tcl \
 		/usr/lib/tcl \
 		$x_libraries/tcl"
@@ -176,7 +176,7 @@
         V_LIBRARY_TK=/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts
         V_INCLUDE_TK="-I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders"
 
-elif test "$ucltk" != no; then
+elif test "$ucltk" == yes; then
 	if test -z "$ucltk"; then 
 		# UCL defaults
 		ucltk=../tk-8.0
@@ -209,8 +209,8 @@
 		echo "can't find tk.h in $d/include"
 		exit 1
 	fi
-	places="$d/lib/libtk8.0.so \
-		$d/lib/libtk8.0.a \
+	places="$d/lib/libtk8.4.so \
+		$d/lib/libtk8.4.a \
 		$d/lib/libtk.so \
 		$d/lib/libtk.a"
 	V_LIB_TK=FAIL
@@ -224,7 +224,7 @@
 		echo "can't find libtk.a in $d/lib"
 		exit 1
 	fi
-	places="$d/lib/tk8.0 \
+	places="$d/lib/tk8.4 \
 		$d/lib/tk"
 	V_LIBRARY_TK=FAIL
 	for dir in $places; do
@@ -243,8 +243,8 @@
 	if test "$V_INCLUDE_TK" = FAIL; then
 		echo "checking for tk.h"
 		V_INCLUDE_TK=""
-		places="$PWD/../tk8.0/generic \
-	                $PWD/../tk-8.0/generic \
+		places="$PWD/../tk8.4/generic \
+	                $PWD/../tk-8.4/generic \
        		        $PWD/../tk/generic \
 			/usr/local/include \
 			$prefix/include \
@@ -253,9 +253,9 @@
 			/usr/include\
 			$x_includes/tk \
 			$x_includes \
-			$PWD/../tk8.0 \
-			/usr/src/local/tk8.0 \
-			/import/tcl/include/tk8.0"
+			$PWD/../tk8.4 \
+			/usr/src/local/tk8.4 \
+			/import/tcl/include/tk8.4"
 		for dir in $places; do
 			if test -r $dir/tk.h ; then
 				V_INCLUDE_TK=-I$dir
@@ -267,24 +267,24 @@
 			exit 1
 		fi
 	fi
-	AC_CHECK_LIB(tk8.0, main, V_LIB_TK="-ltk8.0", V_LIB_TK="FAIL")
+	AC_CHECK_LIB(tk8.4, main, V_LIB_TK="-ltk8.4", V_LIB_TK="FAIL")
 	if test "$V_LIB_TK" = FAIL; then
-		echo "checking for libtk.a"
-		places="$PWD/../tk-8.0/unix \
-			$PWD/../tk8.0/unix \
+		echo "checking for libtk8.4.a"
+		places="$PWD/../tk-8.4/unix \
+			$PWD/../tk8.4/unix \
                 	$PWD/../tk/unix \
 			/usr/local/lib \
 			/usr/contrib/lib \
 			/usr/lib \
 			/usr/lib/tk \
 			/import/tcl/lib \
-			$PWD/../tk8.0 \
-			/usr/src/local/tk8.0 \
+			$PWD/../tk8.4 \
+			/usr/src/local/tk8.4 \
 			$prefix/lib \
 			$x_libraries"
 		for dir in $places; do
-			if test -r $dir/libtk8.0.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.0.a; then
-				V_LIB_TK="-L$dir -ltk8.0"
+			if test -r $dir/libtk8.4.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.4.a; then
+				V_LIB_TK="-L$dir -ltk8.4"
 				break
 			fi
 			if test -r $dir/libtk.so -o -r $dir/libtk.a; then
@@ -303,19 +303,19 @@
 	fi
 	echo "checking for tk/tk.tcl"
 	V_LIBRARY_TK=FAIL
-	places="$PWD/../tk-8.0/library \
-		$PWD/../tk8.0/library \
+	places="$PWD/../tk-8.4/library \
+		$PWD/../tk8.4/library \
                	$PWD/../tk/library \
-		/usr/local/lib/tk8.0 \
+		/usr/local/lib/tk8.4 \
 		/System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts \
-		/usr/contrib/lib/tk8.0 \
-		/usr/lib/tk8.0 \
-		/usr/lib/tk/tk8.0 \
-		/import/tcl/lib/tk8.0 \
-		$prefix/lib/tk8.0 \
-		$x_libraries/tk8.0 \
-		$PWD/../tk8.0/library \
-		/usr/src/local/tk8.0/library \
+		/usr/contrib/lib/tk8.4 \
+		/usr/lib/tk8.4 \
+		/usr/lib/tk/tk8.4 \
+		/import/tcl/lib/tk8.4 \
+		$prefix/lib/tk8.4 \
+		$x_libraries/tk8.4 \
+		$PWD/../tk8.4/library \
+		/usr/src/local/tk8.4/library \
 		/usr/local/lib/tk \
 		/usr/lib/tk \
 		$x_libraries/tk"

Modified: vic/branches/mpeg4/main.cpp
==============================================================================
--- vic/branches/mpeg4/main.cpp	(original)
+++ vic/branches/mpeg4/main.cpp	Tue Dec  5 11:10:36 2006
@@ -415,6 +415,7 @@
 }
 
 extern "C" int Tk_StripchartCmd(ClientData, Tcl_Interp*, int ac, const char** av);
+
 #ifdef WIN32
 extern "C" int WinPutsCmd(ClientData, Tcl_Interp*, int ac, char** av);
 extern "C" int WinGetUserName(ClientData, Tcl_Interp*, int ac, char** av);
@@ -545,7 +546,7 @@
 #endif
 	EmbeddedTcl::init();
 	tcl.evalc("init_resources");
-
+	
 	optind=1;
 	while ((op = getopt(argc, (char**)argv, (char*)options)) != -1) {
 		switch (op) {

Modified: vic/branches/mpeg4/rate-variable.cpp
==============================================================================
--- vic/branches/mpeg4/rate-variable.cpp	(original)
+++ vic/branches/mpeg4/rate-variable.cpp	Tue Dec  5 11:10:36 2006
@@ -62,7 +62,7 @@
 	RateVariable(const char* name) : TclObject(name) { }
 protected:
 	static char* update_rate_var(ClientData, Tcl_Interp*, const char* name1,
-				     const char* name2, int flags); //SV-XXX: FreeBSD
+				     const char* name2, int flags);
 	int command(int argc, const char*const* argv);
 } rate_variable_cmd("rate_variable");
 
@@ -80,7 +80,8 @@
 		 */
 		char res[128];
 		flags &= TCL_GLOBAL_ONLY;
-		const char* cv = Tcl_GetVar2(tcl, name1, name2, flags); //SV-XXX: FreeBSD
+		const char* cv = Tcl_GetVar2(tcl, name1, name2, flags); 
+		
 		if (cv == NULL)
 			return (tcl->result);
 		int curval = atoi(cv);

Modified: vic/branches/mpeg4/tcl/cf-util.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/cf-util.tcl	(original)
+++ vic/branches/mpeg4/tcl/cf-util.tcl	Tue Dec  5 11:10:36 2006
@@ -66,6 +66,7 @@
 	# make sure we have mandatory resources
 	#
 	set name [resource rtpName]
+
 	if { $name == "" } {
 		set name [resource sessionName]
 		option add *rtpName $name startupFile

Modified: vic/branches/mpeg4/tcl/ui-help.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/ui-help.tcl	(original)
+++ vic/branches/mpeg4/tcl/ui-help.tcl	Tue Dec  5 11:10:36 2006
@@ -36,7 +36,7 @@
 set helpno 0
 proc helpitem { w text } {
 	global helpno
-	set f [option get . helpFont Vic]
+	set f [option get . helpfont Vic]
 	set h $w.h$helpno
 	incr helpno
 	frame $h

Modified: vic/branches/mpeg4/tcl/ui-main.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/ui-main.tcl	(original)
+++ vic/branches/mpeg4/tcl/ui-main.tcl	Tue Dec  5 11:10:36 2006
@@ -61,7 +61,7 @@
     if {[string equal [tk windowingsystem] "aqua"]} {
         global V
         set net $V(data-net)
-        label $w.bar.title -text "Address: [$net addr]  Port: [$net port]  TTL: [$net ttl]" -font [smallfont] \
+        label $w.bar.title -text "TTL: [$net ttl]" -font [smallfont] \
                 -justify left
         button $w.bar.quit -text Quit \
                 -font [smallfont] \
@@ -75,7 +75,7 @@
     } else {
         global V
         set net $V(data-net)
-        label $w.bar.title -text "Address: [$net addr]  Port: [$net port]  TTL: [$net ttl]" -font [smallfont] \
+        label $w.bar.title -text "TTL: [$net ttl]" -font [smallfont] \
                 -relief flat -justify left
         button $w.bar.quit -text Quit -relief raised \
                 -font [smallfont] -command adios \
@@ -86,7 +86,6 @@
         button $w.bar.help -text Help -relief raised \
                 -font [smallfont] -highlightthickness 1 \
                 -command "toggle_window .help"
-                -command "ag_autoplace::show_ui"
     }                                
     pack $w.bar.title -side left -fill both -expand 1
     pack $w.bar.menu $w.bar.help $w.bar.quit -side left -padx 1 -pady 1 

Modified: vic/branches/mpeg4/tcl/ui-resource.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/ui-resource.tcl	(original)
+++ vic/branches/mpeg4/tcl/ui-resource.tcl	Tue Dec  5 11:10:36 2006
@@ -37,7 +37,7 @@
         font create smallfont -family {Lucida Grande} -size 10 -weight bold
         font create minifont -family {Lucida Grande} -size 4
         font create helpfont -family {Lucida Grande} -size 12
-        font create entryFont -family {Lucida Grande} -size 10
+        font create entryfont -family {Lucida Grande} -size 10
 } else { 
     set font(helvetica10) {
 	r-normal--*-100-75-75-*-*-*-*
@@ -102,8 +102,8 @@
 	option add *Font $helv12b startupFile
 	option add Vic.medfont $helv12b startupFile
 	option add Vic.smallfont $helv10b startupFile
-	option add Vic.helpFont $times14 startupFile
-	option add Vic.entryFont $helv10 startupFile
+	option add Vic.helpfont $times14 startupFile
+	option add Vic.entryfont $helv10 startupFile
 }
 
 proc init_resources {} {
@@ -112,7 +112,7 @@
 	#
 	# use 2 pixels of padding by default, except with MacOSX Aqua
 	#
-	if !{[string equal [tk windowingsystem] "aqua"]} {
+	if {![string equal [tk windowingsystem] "aqua"]} {
 	    option add *padX 2
 	    option add *padY 2
 	}
@@ -129,17 +129,17 @@
 	#
 	if {$tcl_platform(platform) != "windows"} {
 		tk_setPalette gray80
-		foreach option [array names tkPalette] {
-			option add *$option $tkPalette($option) 61
+		foreach pal [array names tkPalette] {
+			option add *$pal $tkPalette($pal) 61
 		}
 	}
 
 	option add *Radiobutton.relief flat startupFile
 
-#
+	#
 	# These can be overridden.
 	#
-	option add Vic.geometry 400x225 startupFile
+	option add Vic.geometry 300x225 startupFile
 	option add Vic.mtu 1024 startupFile
 	option add Vic.network ip startupFile
 	option add Vic.framerate 15 startupFile
@@ -205,14 +205,14 @@
 	option add Vic.rtipU 1000 startupFile
 	option add Vic.rtipType 1 startupFile
 
-# Flow Label info for IPV6
+	# Flow Label info for IPV6
 
 	option add Vic.flowLabel 0 startupFile
 
-# Interface Index to bind to in IPv6
+	# Interface Index to bind to in IPv6
 	option add Vic.ifIndex -1 startupFile
 
-# Interface addr to bind to and use in CNAME
+	# Interface addr to bind to and use in CNAME
 	option add Vic.ifAddr 0 startupFile
 
 	option add Vic.numLayers 0 startupFile
@@ -227,8 +227,8 @@
 	option add Vic.overlayX "0" startupFile
 	option add Vic.overlayY "0" startupFile
 
-# Init fonts
-        if !{[string equal [tk windowingsystem] "aqua"]} {
+	# Init fonts
+        if {![string equal [tk windowingsystem] "aqua"]} {
 	    init_fonts
 	}
 
@@ -246,5 +246,5 @@
 	# list of sdes items to display in info window
 	option add Vic.sdesList "cname tool email note"
 
-	catch "option readfile ~/.RTPdefaults startupFile"
+	option readfile ~/.RTPdefaults startupFile
 }

Modified: vic/branches/mpeg4/tcl/ui-util.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/ui-util.tcl	(original)
+++ vic/branches/mpeg4/tcl/ui-util.tcl	Tue Dec  5 11:10:36 2006
@@ -36,7 +36,7 @@
         if {[string equal [tk windowingsystem] "aqua"]} {
             return smallfont
         }
-	return [resource smallfont]
+     	return [resource smallfont]
 }
 
 proc minifont { } {
@@ -50,7 +50,7 @@
         if {[string equal [tk windowingsystem] "aqua"]} {
             return smallfont
         } 
-	return [resource medfont]
+     	return [resource medfont]
 }
 
 
@@ -65,7 +65,7 @@
         if {[string equal [tk windowingsystem] "aqua"]} {
                 return disablefont
         }    	
-	return [resource disablefont]
+     	return [resource disablefont]
 }
 
 proc entryfont { } {
@@ -196,7 +196,7 @@
 
 proc helpitem { w text } {
 	global helpno
-	set f [resource helpFont]
+	set f [resource helpfont]
 	canvas $w.bullet -width 12 -height 12 
 	$w.bullet create oval 6 3 12 9 -fill black
 	message $w.msg -justify left -anchor w -font [helpfont] -width 450 -text $text

Modified: vic/branches/mpeg4/tcl/ui-windows.tcl
==============================================================================
--- vic/branches/mpeg4/tcl/ui-windows.tcl	(original)
+++ vic/branches/mpeg4/tcl/ui-windows.tcl	Tue Dec  5 11:10:36 2006
@@ -354,30 +354,35 @@
 	}
 	
 	# Resize
-        if { ![string equal [tk windowingsystem] "aqua"]} {  
-	  bind $w <B1-Motion> {	  
-	    global win_src win_target
+	bind $w <ButtonPress> {
+	   global click_x click_y
+	   set click_x %x
+	   set click_y %y	
+	}
+
+	bind $w <ButtonRelease> {	  
+	  global win_src win_target click_x click_y
 
-	    if { [info exists win_src(%W)] & [info exists win_target(%W)]} {
+	  if { [info exists win_src(%W)] & [info exists win_target(%W)]} {
 	      # %W is vw.frame.video
 	      set src $win_src(%W)
 	    
-	      # return Decoder "d" as a PacketHandler
-	      set d [$src handler]
-	    
-	      set iw [$d width]
-	      set ih [$d height]
+	      # iw/ih mean viewing video size rightnow
+	      set iw [%W width]
+	      set ih [%W height]
 
 	      set aspect_r [expr 1.0*$ih / $iw]
-	      set ow [expr int(%w + %x + %y)]
+	      set diff_x [expr %x - $click_x]
+	      set diff_y [expr %y - $click_y]
+
+	      set ow [expr int($iw + $diff_x + $diff_y)]
 	      set oh [expr int($aspect_r * $ow)]
 
  	      if { $ow > 64 } {
-                resize %W $ow $oh		       	      
-	        #resize_window %W $ow $oh   	      
-	      }	       
-	    }	 
-	  }
+                 resize %W $ow $oh		       	     
+	         #resize_window %W $ow $oh   	      
+	      } 	 
+          }
         }
 
 	switcher_register $v $src window_switch

Modified: vic/branches/mpeg4/tkStripchart.c
==============================================================================
--- vic/branches/mpeg4/tkStripchart.c	(original)
+++ vic/branches/mpeg4/tkStripchart.c	Tue Dec  5 11:10:36 2006
@@ -367,7 +367,7 @@
  */
 int
 Tk_StripchartCmd(ClientData clientData, Tcl_Interp *interp, int argc,
-		 char **argv) //SV-XXX: FreeBSD
+		 const char **argv) //SV-XXX: FreeBSD
  {
 	Tk_Window tkwin = (Tk_Window) clientData;
 	Tk_Window new;

Modified: vic/branches/mpeg4/vic_tcl.h
==============================================================================
--- vic/branches/mpeg4/vic_tcl.h	(original)
+++ vic/branches/mpeg4/vic_tcl.h	Tue Dec  5 11:10:36 2006
@@ -124,7 +124,7 @@
 	virtual void reset();
 	void class_name(const char*);
 	/* make this public for Sun's compiler */
-	static int callback(ClientData, Tcl_Interp*, int ac, const char** av); //SV-XXX: FreeBSD
+	static int callback(ClientData, Tcl_Interp*, int ac, const char** av);
 	static void reset_all();
     protected:
 	TclObject(const char* name = 0);



More information about the Sumover-dev mailing list